Package net.shibboleth.idp.saml.nameid.impl

# Class NameIdentifierGenerationServiceImpl

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.saml.nameid.impl.NameIdentifierGenerationServiceImpl

All Implemented Interfaces:
  `NameIdentifierGenerationService`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class NameIdentifierGenerationServiceImpl extends AbstractIdentifiableInitializableComponent implements NameIdentifierGenerationService
Implementation of `NameIdentifierGenerationService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private SAML1NameIdentifierGenerator`
`saml1Generator`
SAML 1 generator.
`private SAML2NameIDGenerator`
`saml2Generator`
SAML 2 generator.

## Constructor Summary

Constructors
Constructor
Description
`NameIdentifierGenerationServiceImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`SAML1NameIdentifierGenerator`
`getSAML1NameIdentifierGenerator()`
Get the `SAML1NameIdentifierGenerator`.
`SAML2NameIDGenerator`
`getSAML2NameIDGenerator()`
Get the `SAML2NameIDGenerator`.
`void`
`setSAML1NameIdentifierGenerator(SAML1NameIdentifierGenerator generator)`
Set the `SAML1NameIdentifierGenerator` to use.
`void`
`setSAML2NameIDGenerator(SAML2NameIDGenerator generator)`
Set the `SAML2NameIDGenerator` to use.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### saml1Generator

@NonnullAfterInit private SAML1NameIdentifierGenerator saml1Generator
SAML 1 generator.

### saml2Generator

@NonnullAfterInit private SAML2NameIDGenerator saml2Generator
SAML 2 generator.

## Constructor Details

### NameIdentifierGenerationServiceImpl

public NameIdentifierGenerationServiceImpl()

## Method Details

### setSAML1NameIdentifierGenerator

public void setSAML1NameIdentifierGenerator(@Nonnull SAML1NameIdentifierGenerator generator)
Set the `SAML1NameIdentifierGenerator` to use.

Parameters:
  `generator` - generator to use

### setSAML2NameIDGenerator

public void setSAML2NameIDGenerator(@Nonnull SAML2NameIDGenerator generator)
Set the `SAML2NameIDGenerator` to use.

Parameters:
  `generator` - generator to use

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`

### getSAML1NameIdentifierGenerator

@Nonnull public SAML1NameIdentifierGenerator getSAML1NameIdentifierGenerator()
Get the `SAML1NameIdentifierGenerator`.

Specified by:
  `getSAML1NameIdentifierGenerator` in interface `NameIdentifierGenerationService`
Returns:
  the `SAML1NameIdentifierGenerator`

### getSAML2NameIDGenerator

@Nonnull public SAML2NameIDGenerator getSAML2NameIDGenerator()
Get the `SAML2NameIDGenerator`.

Specified by:
  `getSAML2NameIDGenerator` in interface `NameIdentifierGenerationService`
Returns:
  the `SAML2NameIDGenerator`